Jump to content

bp weapons pack v1.4


Brettzies
 Share

Recommended Posts

im having some problems lol

the movie starts perfectly

but when i try to start a mission

it crashes and say it cant find _ammo

Crash in application version: 30621.2989

data\lib\managers\eventmanager.dsf(-1): cant find member: _ammo in type <void>

SCRIPT STACK:

data\lib\managers\eventmanager.dsf(0)

data\lib\managers\eventmanager.dsf(0)

data\lib\managers\campaignmanager.dsf(0)

data\lib\managers\campaignmanager.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\networkmanager.dsf(0)

data\lib\script_network\networkmanager.dsf(0)

data\lib\setups\setup.dsf(0)

data\level\level.dsf(0)

Renderer: normal

Physics : threaded

i have patch 1.4

so whats the problem ?

Link to comment
Share on other sites

  • Replies 166
  • Created
  • Last Reply

Top Posters In This Topic

im having some problems lol

the movie starts perfectly

but when i try to start a mission

it crashes and say it cant find _ammo

Crash in application version: 30621.2989

data\lib\managers\eventmanager.dsf(-1): cant find member: _ammo in type <void>

SCRIPT STACK:

data\lib\managers\eventmanager.dsf(0)

data\lib\managers\eventmanager.dsf(0)

data\lib\managers\campaignmanager.dsf(0)

data\lib\managers\campaignmanager.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametype.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\gametype\gametypecampaign.dsf(0)

data\lib\script_network\networkmanager.dsf(0)

data\lib\script_network\networkmanager.dsf(0)

data\lib\setups\setup.dsf(0)

data\level\level.dsf(0)

Renderer: normal

Physics : threaded

i have patch 1.4

so whats the problem ?

Do you have any other mods inside of the local/bp_weapons_pack_v1.4 folder? Or any entries in the context.xml pointing to other languages, etc.

Link to comment
Share on other sites

Brett, it's true man... you ARE God.

You can't beat this. I mean, INCREDIBLE skill all for the community and you really care that we can run it well.

Thanks man. You're just the best.

I just started GRAW 2 so I don't mind reinstalling at all. I have a had habit of screwing up file directories.

Link to comment
Share on other sites

The M203 on the M16 or M4 has always crashed all clients in co-op campaign whenever I've tried it, and on mission04 at least Jenkins has one in his loadout. Took a while to figure out why nobody could connect to whoever was hosting, they would just instantly CTD when they reached the briefing. Other than that, the 552 is pretty much my permanent secondary now, and I've taken a shine to the M16 with an Eotech, great update.

Link to comment
Share on other sites

The M203 on the M16 or M4 has always crashed all clients in co-op campaign whenever I've tried it, and on mission04 at least Jenkins has one in his loadout. Took a while to figure out why nobody could connect to whoever was hosting, they would just instantly CTD when they reached the briefing. Other than that, the 552 is pretty much my permanent secondary now, and I've taken a shine to the M16 with an Eotech, great update.

For the M203, there was an error that GRIN_Wolfsong found, that may or may not have fixed that problem. I do know the coop mp has issues with the attachment id#s still. #31, the aimpoint, being the last one, so every refrence above that just shows up as an aimpoint. IE, an aimpoint where the silencer should be etc. I'm hoping that the new patch can fix that but who knows.

Link to comment
Share on other sites

hey brettzies mind helping me please lol

?

Well, I'm trying to but you haven't answered my first question. Do you have any other mods in the local folder? Are you trying to run anything together? Are you trying to combine things? Does you context.xml have any duplicate entries at the bottom or something pointing to other mods or languages?

It shouldn't matter what resolution you run the textures in. I just tried it in low, it was fine. The training mission should not crash either.

I don't know what you mean by "the equipment on the ghosts is almost the same."

Link to comment
Share on other sites

the helmets on the ghost are the old graw ones

not the helmets you made to be on the ghost

That sounds really strange. I'm not sure how that can happen without conflicting files, doesn't even seem like it would work without actually designing it that way. Most likely it would crash or you wouldn't get any heads at all. Post your context.xml text and we'll see what's in it. Edited by Brettzies
Link to comment
Share on other sites

Brett, it's true man... you ARE God.

You can't beat this. I mean, INCREDIBLE skill all for the community and you really care that we can run it well.

Thanks man. You're just the best.

I just started GRAW 2 so I don't mind reinstalling at all. I have a had habit of screwing up file directories.

LOL. No, I'm just a guy. But I do want people to be able to at least run the mod without hiccups. The biggest disappointement for me is that it seems to have issues in mp that are beyond my control(i think). That cuts out a huge number of people who might otherwise enjoy it. Oh well, still fun to make.
Link to comment
Share on other sites

<?xml version="1.0" encoding="ISO-8859-1"?>

<context>

<script base="data" exec="Menu/Menu" editor="false" language="bp_weapons_pack_v1.4"/>--><!--change to "english" to uninstall-->

<mod_bundle name="bp_weapons_pack_v1.4"/>--><!--delete this line or comment out front with "<!--" to uninstall-->

<!-- <threaded_renderer value="false"/> -->

<layer_config file="\data\settings\layers.xml"/>

<scene_config file="\data\settings\scenes.xml"/>

<unit_database file="\data\units.xml"/>

<sound settings="/data/sound/settings.xml" />

<network settings="/data/settings/network.xml" />

<static_texture_scope file="\data\settings\static_texture_scope.xml"/>

<skeleton_def file="\data\objects\def.xml"/>

<animations def="\data\anims\anims.xml" state_machine="\data\anims\state_machines.xml"/>

<texture base="\data\textures" />

<effects file="\data\effects\effects.xml"/>

<decals file="\data\effects\decals\decals.xml"/>

<!--<keys disable_windows_key="false" />-->

<default_shader_config file="\data\shader\default_shader_config.xml"/>

<default_render_templates file="\data\shader\default_render_templates.xml"/>

<physics settings="\data\settings\physics_settings.xml" fps="60" physx_effects="hardware_or_disabled" multithreaded="true" />

<global_materials file="\data\settings\materials.xml" />

<gui file="\data\gui" optimized="true"/>

<camera shakes="\data\settings\camera_effects.xml" cameras="\data\settings\camera_settings.xml" />

<bundler make_logs="false" />

<nls_lookup size="64"/>

<installer use="false"/>

<calc_video_mem_adjust value="false"/>

<advertisements value="true"/>

<!-- Set all compile flags to false when running bundled version -->

<compile xml="false" texture_db="false" mopps="false" scripts="false" />

</context>

btw this is the one that was included in your mod

Link to comment
Share on other sites

Well its perfect then! :lol:

Hmm. How much memory do you have on your computer? What about gfx card? That's the only thing I can think of that would produce such a strange error. But the game seems to crash on every little thing wrong, so I wouldn't even think it would work. Still sounds like a conflict of files or something. You could try re-installing Graw2. I mean, there's nothing special going on, its a very simple installation procedure for the mod... bundle in mod folder, bp_weapons_pack_v1.4 in local folder, context.xml in main folder. Technically, you don't even need the bp_weapons_pack_v1.4 folder in the local folder, you just would not get sound for the weapons and no intro movie.

Edited by Brettzies
Link to comment
Share on other sites

i got a 8600 gt oc'd

and like 1.5 gb (says 1 gb though)

im sure i did everything correct

and i dont think ram or the gpu would effect

probably has something to do with the files

but the files are correct too >,>

I'm not sure what to tell you. A fresh install of Graw 2 and patched up to 1.04 is the only other thing I can think of.

Link to comment
Share on other sites

I got the weapons but not the skin...I may have reinstall of look for the original English folder in the DVD-ROM since I accidentally deleted it.

I try again tomorrow night.

Love the newer intro video and sound :thumbsup:

The original English folder?

There is no files in it.

Local folders are only used for language overrides in the original game. And as the entire game is originally in English, there is no need to override it. ;)

only reason I accidentally deleted it was, English folder was not in Brett's illustrated directory path. But I was able to retrieve it, and place it back in the Local Folder

will try again tonight

:thumbsup:

....c'mon time clock...tick faster....one more hour of travel time..... :wall:

Link to comment
Share on other sites

errr

i dont think reinstalling might help

and its only going to eat my ram up

eh

well if theres any updates your going to make once 1.05 comes out ill be sure to check if you make any updates and ill try again

for now though

guess gotta stick with v 3.4 lol

also

it might be the ram

the game sometime freezes and then i cant play

like just the screen i can still here gun fire and stuff in the background

the screen freezes though lol

maybe i should get 2gbs might help ?

but im sure ram is only going to make a difference in performance

Edited by MrNothing
Link to comment
Share on other sites

errr

i dont think reinstalling might help

and its only going to eat my ram up

eh

well if theres any updates your going to make once 1.05 comes out ill be sure to check if you make any updates and ill try again

for now though

guess gotta stick with v 3.4 lol

Are you trying to install this into GRAW1? v3.4 is for GRAW1.

As for reinstalling, you'd be surprised how much things like that can help when you least expect it to. Ram helps a lot with performance. I have 2gb, so, it's hard to tell if that's an issue. But the problems you are having seem really strange, and when I look at the memory footprint for the game it says around 600mbs of ram being used, but maybe that's not accurate.

Sorry to hear you can't get it to work though.

Link to comment
Share on other sites

oops

i guess v1.3 the one when you intro'd the M468 lol

well

i guess i just wanted to say your mod looks really cool

people that are using it must be really happi and i admire how you took your time to shed some light on a game that's dieing or dead already lol. im sure if modders took the time to look in forums like these - you'd for sure being getting a modding job for another game or studio's lol

and also just wanted to say thanks alot for trying to help even though things didn't work out in the end =\

and as for ram

lol im kind of in dept so if i were to get any ram it be at least 1gb lol >,> probably from OCZ high performance ram but idk if 1gb would even help alot

maybe might give me a fresh start

but game performance wise - questionable ......

Edited by MrNothing
Link to comment
Share on other sites

and like 1.5 gb (says 1 gb though)

It could be not enough ram. 1.5 should be good enough though, but if your OS is saying you only have 1gb, then it's not reading your other 512mb even if you have it installed in your motherboard. As far as I know anyway. You might have to set some things in your bios to get it to report correctly. The game plus the OS is pushing 1GB, so it can hinder performance.
Link to comment
Share on other sites

no new skins still, just the weapons and sound....this is after reinstalling bp_weapons zip files again...overwriting previous install.

directory:

bpweaponsyx3.th.jpg

will try running 1.4 patch again :thumbsup:

in the mod folder, am I supposed to unpack this bp_weapons_pack_v1.4.bundle inside the mod folder? :unsure:

Edited by Cpl Ledanek
Link to comment
Share on other sites

no new skins still, just the weapons and sound....this is after reinstalling bp_weapons zip files again...overwriting previous install.

directory:

bpweaponsyx3.th.jpg

will try running 1.4 patch again :thumbsup:

in the mod folder, am I supposed to unpack this bp_weapons_pack_v1.4.bundle inside the mod folder? :unsure:

I'm pretty sure you will need the patch and by the looks of that directory you haven't patched.

mod folder:

bp_weapons_pack_v1.4.bundle - leave this file as is

local folder:

bp_weapons_pack_v1.4(folder)

Another thing to try is don't copy the context.xml, just edit whichever one Graw2 generates upon installing the game.

Link to comment
Share on other sites

i got a 8600 gt oc'd

and like 1.5 gb (says 1 gb though)

im sure i did everything correct

and i dont think ram or the gpu would effect

probably has something to do with the files

but the files are correct too >,>

Just a wee note here on oc card, this does cause and is reported on more than a few occasions causing problems.

Your memory is what exactley one 1 gig one 512 are they compatable, is the MB dual channel.

Glitch gpu is more than likely OC, driver, or memory problem.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share


×
×
  • Create New...